Connector Instances
Authorizations
AuthorizationstringRequired
API key passed in the Authorization header. Format: <api-key>
Body
authentication_implementation_template_idstringRequired
timezonestringRequired
date_formatstringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
connection_pool_idinteger · nullableOptional
namestringRequired
Responses
200
Successful response
application/json
401
Unauthenticated
403
Unauthorized
422
Validation Error
application/json
post/api/v1/connector-instances
POST /api/v1/connector-instances HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 257
{
"authentication_implementation_template_id": 1,
"timezone": "example_timezone",
"date_format": "example_date_format",
"rate_limit_unit": "second",
"rate_limit_duration": 1,
"connection_pool_id": 1,
"variable_templates": "example_variable_templates",
"name": "My Example"
}{
"data": {
"id": 1,
"authentication_implementation_template_id": 1,
"timezone": "example_timezone",
"date_format": "example_date_format",
"rate_limit_unit": "second",
"rate_limit_duration": 1,
"connection_pool_id": 1,
"variable_templates": "example_variable_templates",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Last updated
Was this helpful?